{
  "name": "{{ agave.appsPrefix }}-picard-addorreplacereadgroups-gf2",
  "version": "2.22.7.03",
  "label": "Picard AddOrReplaceReadGroups",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/picard-addorreplacereadgroups-gf2-2.22.7-03",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "picard-addorreplacereadgroups-gf2.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "input",
      "value": {
        "required": true,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "id",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "library",
      "value": {
        "required": false,
        "type": "string"
      }
    },
    { "id": "platform",
      "value": {
        "required": false,
        "type": "string"
      }
    },
    { "id": "barcode",
      "value": {
        "required": false,
        "type": "string"
      }
    },
    { "id": "sample",
      "value": {
        "required": false,
        "type": "string"
      }
    },
    { "id": "index",
      "value": {
        "required": false,
        "type": "string"
      }
    },
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": true,
        "default": "auto",
        "type": "string"
      }
    },
    { "id": "exec_init",
      "value": {
        "required": true,
        "default": "",
        "type": "string"
      }
    }
  ]
}